# wso2wsf::Stub Class Reference
[Stub]

class Stub This object serves as the primary client API for consuming SOAP services. This is the base class for the codegenerated client side stub classes. More...

`#include <Stub.h>`

List of all members.

## Public Member Functions
WSF_EXTERN void | init (std::string &client_home, std::string &endpointUri)
WSF_EXTERN Options * | getOptions ()
WSF_EXTERN ServiceClient * | getServiceClient ()
WSF_EXTERN bool | setServiceClient (ServiceClient *client)
WSF_EXTERN bool | engageModule (std::string moduleName)
WSF_EXTERN void | addAnonymousOperations ()
## Protected Attributes
ServiceClient * | serviceClient
Options * | clientOptions

## Detailed Description

class Stub This object serves as the primary client API for consuming SOAP services. This is the base class for the codegenerated client side stub classes.

## Member Function Documentation

WSF_EXTERN void wso2wsf::Stub::addAnonymousOperations | ( |  | ) |

addAnnonymousOperations

WSF_EXTERN bool wso2wsf::Stub::engageModule | ( | std::string | moduleName | ) |

engageModule Engage an Axis2/C module to this Stub

Parameters:

  | moduleName | identifying name for the module

Returns:
  true on success, false otherwise

WSF_EXTERN Options* wso2wsf::Stub::getOptions | ( |  | ) |

getOptions method is used to obtain a pointer to the Stub Object's underlying options instance.

Returns:
  A pointer to the Options Object instance

WSF_EXTERN ServiceClient* wso2wsf::Stub::getServiceClient | ( |  | ) |

getServiceClient method is used to obtain a pointer to the Stub Object's Underlying ServiceClient Object instance.

Returns:
  A pointer to the ServiceClient Object instance

WSF_EXTERN void wso2wsf::Stub::init | ( | std::string & | client_home,
|  | std::string & | endpointUri |
| ) |  |  |

Initialize the Stub.

Parameters:

  | client_home | string referring to the client repository location.
  | endpointUri | The endpoint URI of the service which will be invoked using this stub.

WSF_EXTERN bool wso2wsf::Stub::setServiceClient | ( | ServiceClient * | client | ) |

setServiceClient() Used to set ServiceClient instance to the stub and configure stub.

Parameters:

  | client | Pointer to a ServiceClient instance

Returns:
  true on success, false otherwise.

## Member Data Documentation

Options* wso2wsf::Stub::clientOptions`[protected]`

Options object instance associated with the stub

ServiceClient* wso2wsf::Stub::serviceClient`[protected]`

ServiceClient object instance associated with the stub

The documentation for this class was generated from the following file:

- Stub.h